package com.sunxung.factoring.entity.biddingManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * 业务管理-中标确认表
 * </p>
 *
 * @author yafan
 * @since 2023-11-21
 */
@TableName("bidding_award_confirm")
public class BiddingAwardConfirm extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 招投标管理基本信息表Id
     */
    @TableField("bidding_basic_info_id")
    private Long biddingBasicInfoId;

    /**
     * 是否中标 0未中标 1中标
     */
    @TableField("win_the_bidding")
    private Integer winTheBidding;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    /**
     * 中标通知书id
     */
    @TableField(exist = false)
    private List<Long> awardNotificationFileIds;

    /**
     * 中标通知书
     */
    @TableField(exist = false)
    private List<FileStorage> awardNotificationFiles;

    public Long getBiddingBasicInfoId() {
        return biddingBasicInfoId;
    }

    public void setBiddingBasicInfoId(Long biddingBasicInfoId) {
        this.biddingBasicInfoId = biddingBasicInfoId;
    }

    public Integer getWinTheBidding() {
        return winTheBidding;
    }

    public void setWinTheBidding(Integer winTheBidding) {
        this.winTheBidding = winTheBidding;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public List<Long> getAwardNotificationFileIds() {
        return awardNotificationFileIds;
    }

    public void setAwardNotificationFileIds(List<Long> awardNotificationFileIds) {
        this.awardNotificationFileIds = awardNotificationFileIds;
    }

    public List<FileStorage> getAwardNotificationFiles() {
        return awardNotificationFiles;
    }

    public void setAwardNotificationFiles(List<FileStorage> awardNotificationFiles) {
        this.awardNotificationFiles = awardNotificationFiles;
    }

    @Override
    public String toString() {
        return "BiddingAwardConfirm{" +
                ", biddingBasicInfoId=" + biddingBasicInfoId +
                ", winTheBidding=" + winTheBidding +
                "}";
    }
}
